package cn.sh.stc.sict.theme.hphy.service.impl;

import cn.sh.stc.sict.theme.hphy.dao.HpHosInfoMapper;
import cn.sh.stc.sict.theme.hphy.model.HpDocInfo;
import cn.sh.stc.sict.theme.hphy.model.HpHosInfo;
import cn.sh.stc.sict.theme.hphy.service.HpHosInfoService;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * (HpHosInfo)表服务实现类
 *
 * @author makejava
 * @since 2021-01-28 10:36:00
 */
@Service("hpHosInfoService")
public class HpHosInfoServiceImpl extends ServiceImpl<HpHosInfoMapper, HpHosInfo> implements HpHosInfoService {

    @Override
    public boolean hospitalExist(String hosOrgCode) {
        return this.getById(hosOrgCode) != null;
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void saveHospital(List<HpHosInfo> hosInfos) {
        this.remove(new LambdaQueryWrapper<>());
        this.saveBatch(hosInfos);
    }
}